Module jdk.incubator.foreign
Package jdk.incubator.foreign

# Interface ResourceScope.Handle

Enclosing interface:
  ResourceScope

public static sealed interface ResourceScope.Handle
An abstraction modelling a resource scope handle. A resource scope handle is typically acquired by clients in order to prevent an explicit resource scope from being closed while executing a certain operation. Once obtained, resource scope handles can be ResourceScope.release(Handle) released}; an explicit resource scope can be closed only after all the resource scope handles acquired from it have been released.

## Method Summary

Modifier and Type
Method
Description
`ResourceScope`
`scope()`
Returns the resource scope associated with this handle.

## Method Details

### scope

ResourceScope scope()
Returns the resource scope associated with this handle.

Returns:
  the resource scope associated with this handle.